#pragma once
#include "FilterKontrolle.h"

// Cvisualisierung-Ansicht

class Cvisualisierung: public CScrollView
{
    DECLARE_DYNCREATE (Cvisualisierung)

protected:
    Cvisualisierung(); // Dynamische Erstellung verwendet geschützten Konstruktor
    virtual ~Cvisualisierung();

public:
#ifdef _DEBUG
    virtual void AssertValid() const;
#ifndef _WIN32_WCE
    virtual void Dump(CDumpContext& dc) const;
#endif
#endif

protected:
    virtual void OnDraw( CDC* pDC); // Überladen, um diese Ansicht darzustellen
    virtual void OnInitialUpdate(); // Erster Aufruf nach Erstellung

    FilterKontrolle wndFilterKontrolleDialog;

    DECLARE_MESSAGE_MAP()
};

